petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMMoabGetVertexDofsBlockedLocal

Gets the local degree-of-freedom for the first field (component) defined on an array of locally owned MOAB mesh vertices. It's utility is when performing Finite-Difference type calculations where vertex traversal is faster than element-wise assembly that is typically done in FEM calculations.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetVertexDofsBlockedLocal(DM dm, PetscInt** dof)

Not Collective

### Input Parameters

dm -the discretization manager object

### Output Parameter

dof -the blocked local degree-of-freedom index array in the discrete representation (Vec, Mat) that is vertex-based based on local numbering

### See Also

DMMoabGetVertexDofsBlocked(), DMMoabGetDofsBlocked(), DMMoabGetDofsBlockedLocal()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbfield.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages